MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002829ATutorTests/Surveyspublic2006-11-14 06:022007-02-05 08:03
Reporteruser2 
Assigned Touser2 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version1.5.4 
Summary0002829: format score
Descriptionneed a way to nicely format a partial score for ordering.

"2.50" should result in "2.5"
"2.00" should result in "2"
TagsNo tags attached.
Affects versionSVN
SVN Revision#
Attached Files

- Relationships

-  Notes
(0002239)
user2
2006-11-14 06:21

something like:
if ( (float) (int) $score == $score) {
    $score = (int) $score; // a whole number with decimals, eg. "2.00"
} else {
    $score = trim($score, '0'); // remove trailing zeros, if any
}
(0002240)
user2
2006-11-14 06:23

needed when saving a score manually on /tools/tests/view_results.php
(0002241)
user2
2006-11-14 06:23

the score field on that page ( ^^ ) should accept 4 characters, not 3.
(0002321)
user2
2007-02-01 06:39

revision #6706

- Issue History
Date Modified Username Field Change
2006-11-14 06:02 user2 New Issue
2006-11-14 06:02 user2 Affects version => SVN
2006-11-14 06:21 user2 Note Added: 0002239
2006-11-14 06:23 user2 Note Added: 0002240
2006-11-14 06:23 user2 Note Added: 0002241
2007-02-01 06:39 user2 Status new => resolved
2007-02-01 06:39 user2 Fixed in Version => 1.5.4
2007-02-01 06:39 user2 Resolution open => fixed
2007-02-01 06:39 user2 Assigned To => user2
2007-02-01 06:39 user2 Note Added: 0002321
2007-02-05 08:03 user2 Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker